Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.xml.stream.buffer.stax
Class StreamWriterBufferProcessor

    java.lang.Object
      com.sun.xml.stream.buffer.AbstractCreatorProcessor
          com.sun.xml.stream.buffer.AbstractProcessor
              com.sun.xml.stream.buffer.stax.StreamWriterBufferProcessor

    public class StreamWriterBufferProcessor

extends AbstractProcessor

A processor of a `XMLStreamBuffer` that writes the XML infoset to a `XMLStreamWriter`.

Author:
  Paul.Sandoz@Sun.Com, K.Venugopal@sun.com

Field Summary

Fields inherited from class com.sun.xml.stream.buffer.AbstractProcessor
`_aiiStateTable, _buffer, _eiiStateTable, _fragmentMode, _niiStateTable, _qNameBuffer, _stringInterningFeature, _treeCount, STATE_ATTRIBUTE_LN, STATE_ATTRIBUTE_LN_OBJECT, STATE_ATTRIBUTE_P_U_LN, STATE_ATTRIBUTE_P_U_LN_OBJECT, STATE_ATTRIBUTE_U_LN, STATE_ATTRIBUTE_U_LN_OBJECT, STATE_ATTRIBUTE_U_LN_QN, STATE_ATTRIBUTE_U_LN_QN_OBJECT, STATE_COMMENT_AS_CHAR_ARRAY_COPY, STATE_COMMENT_AS_CHAR_ARRAY_MEDIUM, STATE_COMMENT_AS_CHAR_ARRAY_SMALL, STATE_COMMENT_AS_STRING, STATE_DOCUMENT, STATE_DOCUMENT_FRAGMENT, STATE_ELEMENT_LN, STATE_ELEMENT_P_U_LN, STATE_ELEMENT_U_LN, STATE_ELEMENT_U_LN_QN, STATE_END, STATE_ILLEGAL, STATE_NAMESPACE_ATTRIBUTE, STATE_NAMESPACE_ATTRIBUTE_P, STATE_NAMESPACE_ATTRIBUTE_P_U, STATE_NAMESPACE_ATTRIBUTE_U, STATE_PROCESSING_INSTRUCTION, STATE_TEXT_AS_CHAR_ARRAY_COPY, STATE_TEXT_AS_CHAR_ARRAY_MEDIUM, STATE_TEXT_AS_CHAR_ARRAY_SMALL, STATE_TEXT_AS_OBJECT, STATE_TEXT_AS_STRING`

Fields inherited from class com.sun.xml.stream.buffer.AbstractCreatorProcessor
`_contentCharactersBuffer, _contentCharactersBufferPtr, _contentObjects, _contentObjectsPtr, _currentContentCharactersBufferFragment, _currentContentObjectFragment, _currentStructureFragment, _currentStructureStringFragment, _structure, _structurePtr, _structureStrings, _structureStringsPtr, CHAR_ARRAY_LENGTH_MEDIUM, CHAR_ARRAY_LENGTH_MEDIUM_SIZE, CHAR_ARRAY_LENGTH_SMALL, CHAR_ARRAY_LENGTH_SMALL_SIZE, CONTENT_TYPE_CHAR_ARRAY, CONTENT_TYPE_CHAR_ARRAY_COPY, CONTENT_TYPE_OBJECT, CONTENT_TYPE_STRING, FLAG_DOCUMENT_FRAGMENT, FLAG_PREFIX, FLAG_QUALIFIED_NAME, FLAG_URI, T_ATTRIBUTE, T_ATTRIBUTE_LN, T_ATTRIBUTE_LN_OBJECT, T_ATTRIBUTE_P_U_LN, T_ATTRIBUTE_P_U_LN_OBJECT, T_ATTRIBUTE_U_LN, T_ATTRIBUTE_U_LN_OBJECT, T_ATTRIBUTE_U_LN_QN, T_ATTRIBUTE_U_LN_QN_OBJECT, T_COMMENT, T_COMMENT_AS_CHAR_ARRAY, T_COMMENT_AS_CHAR_ARRAY_COPY, T_COMMENT_AS_CHAR_ARRAY_MEDIUM, T_COMMENT_AS_CHAR_ARRAY_SMALL, T_COMMENT_AS_STRING, T_DOCUMENT, T_DOCUMENT_FRAGMENT, T_ELEMENT, T_ELEMENT_LN, T_ELEMENT_P_U_LN, T_ELEMENT_U_LN, T_ELEMENT_U_LN_QN, T_END, T_END_OF_BUFFER, T_NAMESPACE_ATTRIBUTE, T_NAMESPACE_ATTRIBUTE_P, T_NAMESPACE_ATTRIBUTE_P_U, T_NAMESPACE_ATTRIBUTE_U, T_PROCESSING_INSTRUCTION, T_TEXT, T_TEXT_AS_CHAR_ARRAY, T_TEXT_AS_CHAR_ARRAY_COPY, T_TEXT_AS_CHAR_ARRAY_MEDIUM, T_TEXT_AS_CHAR_ARRAY_SMALL, T_TEXT_AS_OBJECT, T_TEXT_AS_STRING, T_UNEXPANDED_ENTITY_REFERENCE, TYPE_MASK, VALUE_TYPE_OBJECT, VALUE_TYPE_STRING`

Constructor Summary
`StreamWriterBufferProcessor()`
`StreamWriterBufferProcessor(XMLStreamBuffer buffer)` Deprecated. Use `StreamWriterBufferProcessor(XMLStreamBuffer, boolean)`
`StreamWriterBufferProcessor(XMLStreamBuffer buffer, boolean produceFragmentEvent)`

Method Summary
`void` | `process(XMLStreamBuffer buffer, javax.xml.stream.XMLStreamWriter writer)`
`void` | `process(javax.xml.stream.XMLStreamWriter writer)`
`void` | `setXMLStreamBuffer(XMLStreamBuffer buffer)` Deprecated. Use `setXMLStreamBuffer(XMLStreamBuffer, boolean)`
`void` | `setXMLStreamBuffer(XMLStreamBuffer buffer, boolean produceFragmentEvent)`
`void` | `write(javax.xml.stream.XMLStreamWriter writer)` Writes a full XML infoset event to the given writer, including start/end document.
`void` | `writeFragment(javax.xml.stream.XMLStreamWriter writer)` Writes the buffer as a fragment, meaning the writer will not receive start/endDocument events.
`void` | `writeFragmentEx(org.jvnet.staxex.XMLStreamWriterEx writer)`
`void` | `writeFragmentNoEx(javax.xml.stream.XMLStreamWriter writer)`

Methods inherited from class com.sun.xml.stream.buffer.AbstractProcessor
`getPrefixFromQName, getQName, peekStructure, readContentCharactersBuffer, readContentCharactersCopy, readContentObject, readContentString, readEiiState, readStructure, readStructure16, readStructureString, setBuffer, setBuffer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamWriterBufferProcessor

    public StreamWriterBufferProcessor()

### StreamWriterBufferProcessor

    public StreamWriterBufferProcessor(XMLStreamBuffer buffer)

  Deprecated. Use `StreamWriterBufferProcessor(XMLStreamBuffer, boolean)`

### StreamWriterBufferProcessor

    public StreamWriterBufferProcessor(XMLStreamBuffer buffer,
                                       boolean produceFragmentEvent)

Parameters:
  `produceFragmentEvent` - True to generate fragment SAX events without start/endDocument. False to generate a full document SAX events.

Method Detail

### process

    public final void process(XMLStreamBuffer buffer,
                              javax.xml.stream.XMLStreamWriter writer)
                       throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### process

    public void process(javax.xml.stream.XMLStreamWriter writer)
                 throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### setXMLStreamBuffer

    public void setXMLStreamBuffer(XMLStreamBuffer buffer)

  Deprecated. Use `setXMLStreamBuffer(XMLStreamBuffer, boolean)`

### setXMLStreamBuffer

    public void setXMLStreamBuffer(XMLStreamBuffer buffer,
                                   boolean produceFragmentEvent)

  Parameters:
    `produceFragmentEvent` - True to generate fragment SAX events without start/endDocument. False to generate a full document SAX events.

### write

    public void write(javax.xml.stream.XMLStreamWriter writer)
               throws javax.xml.stream.XMLStreamException

  Writes a full XML infoset event to the given writer, including start/end document.

  Throws:
    `javax.xml.stream.XMLStreamException`

### writeFragment

    public void writeFragment(javax.xml.stream.XMLStreamWriter writer)
                       throws javax.xml.stream.XMLStreamException

  Writes the buffer as a fragment, meaning the writer will not receive start/endDocument events.

  If `XMLStreamBuffer` has a forest, this method will write all the forests.

  Throws:
    `javax.xml.stream.XMLStreamException`

### writeFragmentEx

    public void writeFragmentEx(org.jvnet.staxex.XMLStreamWriterEx writer)
                         throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### writeFragmentNoEx

    public void writeFragmentNoEx(javax.xml.stream.XMLStreamWriter writer)
                           throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD